Member (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.configuration, class: Member

Package org.apache.geode.management.configuration

# Class Member

java.lang.Object
org.apache.geode.management.configuration.AbstractConfiguration<R>
org.apache.geode.management.configuration.GroupableConfiguration<MemberInformation>
org.apache.geode.management.configuration.Member

All Implemented Interfaces:
  `Serializable`, `Identifiable<String>`, `JsonSerializable`

@Experimental public class Member extends GroupableConfiguration<MemberInformation>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MEMBER_ENDPOINT`

  ### Fields inherited from class org.apache.geode.management.configuration.AbstractConfiguration

  `CLUSTER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Member()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Returns the value set by `setId(String)`.
  `Links`
  `getLinks()`
  `void`
  `setId(String id)`

  ### Methods inherited from class org.apache.geode.management.configuration.GroupableConfiguration

  `equals, getGroup, hashCode, setGroup`

  ### Methods inherited from class org.apache.geode.management.configuration.AbstractConfiguration

  `getCreationCommandType, getGroupName, isCluster, isGlobalRuntime`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MEMBER_ENDPOINT

    public static final String MEMBER_ENDPOINT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Member

    public Member()

- ## Method Details

  - ### setId

    public void setId(String id)

  - ### getId

    public String getId()
    Returns the value set by `setId(String)`.
    Specified by:
      `getId` in interface `Identifiable<String>`
    Specified by:
      `getId` in class `AbstractConfiguration<MemberInformation>`
    Returns:
      an identifier uniquely identifying this Object.

  - ### getLinks

    public Links getLinks()
    Specified by:
      `getLinks` in class `AbstractConfiguration<MemberInformation>`